<form class="{{cssClass}}" autocomplete="off">
    {{> "systems/osric/templates/parts/item/item-header.hbs"}}

    {{!-- Sheet Tab Navigation --}}
    {{> "systems/osric/templates/parts/item/item-nav.hbs"}}

    {{!-- Sheet Body --}}
    <section class="sheet-body">

        {{!-- Description Tab --}}

        <div class="tab" data-group="primary" data-tab="description">

            <div class="armor-header">
                <li class="armors-header flexrow">
                    <div class="type-type">Type</div>
                    <div class="armor-ac">AC</div>
                    <div class="armor-mod">Modifier</div>
                    <div class="armor-bulk">Bulk</div>
                    <div class="armor-bulk">DP Max</div>
                    <div class="armor-bulk">DP Current</div>
                </li>
            </div>
            {{!-- {{log "armor-sheet.hbs THIS" this}}
            {{log "armor-sheet.hbs ITEM" item}}
            {{log "armor-sheet.hbs DATA" data}} --}}
            <div class="armors-list">
                <li class="armors-list-data flexrow">
                    <div class="type-type">
                        <select class="selector" name="system.protection.type">
                            {{#select system.protection.type}}
                                {{#each config.armorTypes as |name type|}}
                                    <option value="{{type}}">{{localize name}}</option>
                                {{/each}}
                            {{/select}}
                        </select>

                    </div>
                    <div class="type-ac">
                        <input name="system.protection.ac" type="text" value="{{system.protection.ac}}"
                            data-dtype="Number" />
                    </div>
                    <div class="type-mod">
                        <input name="system.protection.modifier" type="text" value="{{system.protection.modifier}}"
                            data-dtype="Number" />
                    </div>
                    <div class="type-bulk">
                        <input name="system.protection.bulk" type="text" value="{{system.protection.bulk}}" />
                    </div>
                    <div class="type-dmgpoints-max">
                        <input name="system.protection.points.max" type="text" value="{{system.protection.points.max}}" data-dtype="Number" />
                    </div>
                    <div class="type-dmgpoints-value">
                        <input name="system.protection.points.value" type="text" value="{{system.protection.points.value}}" data-dtype="Number" />
                    </div>
                </li>
            </div>

            {{> "systems/osric/templates/parts/item/item-description-block.hbs"}}
        </div>

        {{!-- attributes Tab --}}
        <div class="tab attributes" data-group="primary" data-tab="attributes">
            {{> "systems/osric/templates/parts/item/item-attributes.hbs"}}
        </div>
        
        {{!-- ACtions Tab --}}
        {{#if item.isIdentified}}
        <div class="tab actions" data-group="primary" data-tab="actions">
            {{> "systems/osric/templates/parts/item/actions-block-list.hbs"}}
        </div>
        {{/if}}

        {{!-- Effects Tab --}}
        {{#if item.isIdentified}}
        <div class="tab effects flexcol" data-group="primary" data-tab="effects">
            <div class="grouping-border">
                {{> "systems/osric/templates/parts/active-effects.hbs"}}
            </div>
        </div>
        {{/if}}

        {{!-- contents tab --}}
        <div class="tab contents" data-group="primary" data-tab="contents">
            <div class="contents-block">
                {{> "systems/osric/templates/parts/item/contents-block.hbs"}}
            </div>        
        </div>  
        
    </section>
</form>